<div class="screen-ui">
  <mat-toolbar class="header-ui">
    <mat-toolbar-row fxLayout.xs="row" class="toolbar-container" fxLayoutAlign="space-between center"
      style="z-index: 0;     padding-bottom: 21px;">
      <div fxHide.gt-xs joyrideStep="firstStep" title="" [stepContent]="customContent" [doneTemplate]="doneButton"
        class="save-container">
        <ng-template #doneButton>
          <button class="tour-btn"><span class="tour-btn-content">J'ai compris</span></button>

        </ng-template>
        <ng-template #customContent>
          <span class="tour-content">
            Vous pouvez enregistrer vos données saisies et compléter votre demande
            quand vous le souhaitez en cliquant sur l'icône en dessus
          </span>
        </ng-template>
        <img [ngStyle]="{'display': displayLogin}"
          src="../../../assets/img/Logo_tn.jpg" class="attijari_bank" alt="" />


        <img [ngStyle]="{'display': displaySaveIcon}"
          src="../../../assets/icones/icon-save.svg" class="save-icon" (click)="redirect('mailValidation')" alt="" />

      </div>
      <div fxHide.xs>
        <img src="../../../assets/img/Logo_tn.jpg" class="attijari_bank" style="cursor: pointer;" (click)="homeRedirection()"/>

      </div>
      <div fxHide.gt-xs class="responsive-stepper"
        [ngStyle]="{'display': display}">
        <span class="resp-step-name">{{this.globalStateService.getStepName() | translate | uppercase }}</span><br>
        <span class="resp-step-number">{{'step' | translate | uppercase}}
          {{stepNumber}}/5</span>

      </div>
      <div fxHide.xs class="progresbar-container">
        <ul class="progressbar" id="progresid">
          <li [ngClass]="firstStepClass">{{'stepperOffer' | translate |uppercase}}
          </li>
          <li [ngClass]="secondStepClass">{{'stepperInfo' | translate
            |uppercase}}</li>
          <li [ngClass]="thirdStepClass">{{'stepperSum' | translate |uppercase}}</li>
          <li [ngClass]="fourthStepClass">{{'stepperDocs' | translate |uppercase}}</li>
          <li [ngClass]="fifthStepClass">{{'stepperSign' | translate |uppercase}}</li>
        </ul>
      </div>


      <div class="enregistrer-responsive">
        <button mat-button [ngClass]="headerButton.btnClassName"
          (click)="redirect(headerButton.routerName)">
          <span
            [ngClass]="headerButton.btnContentClassName">{{headerButton.label
            | translate}}</span>
        </button>
      </div>
      <div>
        <app-translate></app-translate>
      </div>

    </mat-toolbar-row>
    <mat-toolbar-row style="padding: 0px;">
      <mat-progress-bar mode="determinate" [value]="progressBarValue" >
      </mat-progress-bar>
    </mat-toolbar-row>
  </mat-toolbar>

  <router-outlet></router-outlet>
  <mat-toolbar class="footer-ui-home">

    <mat-toolbar-row [style.height]="'100%'" fxLayout.xs="column-reverse" fxLayoutAlign="space-evenly center ">
      <div fxFlex.gt-xs="23" fxFlexOffset="32px">
        <span> © 2020 Attijari bank</span>
      </div>

      <div fxFlex="50" fxLayout.xs="column" fxLayout="row" fxLayoutAlign="space-between center">
        <span class="footer-elem">{{'generalConditions' | translate | uppercase }}</span>

        <span class="footer-elem">{{'legalNotice' | translate | uppercase }}</span>

        <span class="footer-elem">{{'protectionPolicy' | translate | uppercase }}</span>

        <span fxHide.xs><a target="_blank" rel="noopener noreferrer"
            href="http://www.attijaribank.com.tn/Fr/Trouver_une_agence_57_119">{{'chercher-mon-agence' | translate |
            uppercase }}</a></span>
      </div>
      <div fxFlex="27">

      </div>
    </mat-toolbar-row>
  </mat-toolbar>
</div>
